use 5.010001;
use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.
WriteMakefile(
    NAME              => 'state51::Shared',
    VERSION_FROM      => 'lib/state51/Shared.pm', # finds $VERSION
    PREREQ_PM         => {
        'AnyEvent'                                     =>  0,
        'AnyEvent::HTTPD'                              =>  0,
        'AnyEvent::RabbitMQ'                           =>  0,
        'BSD::Resource'                                =>  0,
        'Cache'                                        =>  0,
        'Cache::Memcached'                             =>  0,
        'Cache::Memory'                                =>  0,
        'Cache::Null'                                  =>  0,
        'Class::Accessor'                              =>  0,
        'Class::Data::Inheritable'                     =>  0,
        'Class::Load'                                  =>  0,
        'Data::Dump'                                   =>  0,
        'Data::OptList'                                =>  0,
        'Data::Pageset::Render'                        =>  0,
        'Data::UUID'                                   =>  0,
        'DateTime'                                     =>  0,
        'Date::Calc'                                   =>  0,
        'Digest::MD5'                                  =>  0,
        'Digest::MD5::File'                            =>  0,
        'Email::Valid::Loose'                          =>  0,
        'Exporter'                                     =>  0,
        'File::HomeDir'                                =>  0,
        'File::ShareDir'                               =>  0,
        'File::Temp'                                   =>  0,
        'Getopt::Long::Descriptive'                    =>  0,
        'JSON'                                         =>  0,
        'Log::Message::Structured'                     =>  0,
        'Log::Message::Structured::Stringify::AsJSON'  =>  0,
        'Math::BaseCalc'                               =>  0,
        'Math::BigInt'                                 =>  0,
        'Method::Signatures::Simple'                   =>  0,
        'Moose'                                        =>  0,
        'Moose::Autobox'                               =>  0,
        'MooseX::ClassAttribute'                       =>  0,
        'MooseX::ConfigFromFile'                       =>  0,
        'MooseX::Getopt'                               =>  0,
        'MooseX::Singleton'                            =>  0,
        'MooseX::Storage'                              =>  0,
        'MooseX::Types'                                =>  0,
        'MooseX::Types::Common::String'                =>  0,
        'MooseX::Types::DateTime::MySQL'               =>  0,
        'MooseX::Types::ISO8601'                       =>  0,
        'MooseX::Types::LoadableClass'                 =>  0,
        'MooseX::Types::Parameterizable'               =>  0,
        'MooseX::Types::Structured'                    =>  0,
        'MooseX::Types::Varchar'                       =>  0,
        'Net::AMQP'                                    =>  0,
        'Net::AMQP::RabbitMQ'                          =>  0,
        'Number::Bytes::Human'                         =>  0,
        'Params::Util'                                 =>  0,
        'Path::Class'                                  =>  0,
        'RT::Client::REST'                             =>  0,
        'RTF::Tokenizer'                               =>  0,
        'Readonly'                                     =>  0,
        'Sub::StrictDecl'                              =>  0,
        'Sys::Hostname'                                =>  0,
        'Sys::Hostname::Long'                          =>  0,
        'Test::Exception'                              =>  0,
        'Text::Markdown'                               =>  0,
        'Try::Tiny'                                    =>  0,
        'XML::LibXML'                                  =>  0,
        'YAML'                                         =>  0,
        'bareword::filehandles'                        =>  0,
        'indirect'                                     =>  0,
        'multidimensional'                             =>  0,
    },
    ($] >= 5.005 ?     ## Add these new keywords supported since 5.005
      (ABSTRACT_FROM  => 'lib/state51/Shared.pm', # retrieve abstract from module
       AUTHOR         => 'Dave Lambley <davel@state51.co.uk>') : ()),
    META_MERGE => {
        resources => {
            repository => 'ssh://git@button.state51.co.uk/state51-Shared',
        },
    },
    EXE_FILES => [
        'script/jobserver_shared',
    ],
);
