package state51::Shared::ForkExecPerl;

use strict;
use warnings;
use Exporter qw/ import /;

our @EXPORT_OK = qw/ safe_filename run_perl /;

sub safe_filename {
    my ($fn) = @_;
    return $fn;
}

sub run_perl {
    my ( $module, $command, @options ) = @_;

    my @args = (
        $^X,
        ( map { "-I$_" } @INC ),
        '-M' . $module,
        '-e' . $command,
        '--', @options
    );

    my $pid = fork();
    die "fork failed: $!" unless defined $pid;
    if ($pid) {
        return $pid;
    }
    else {
        exec(@args);
        die "erk: $!";
    }
}

1;

