#!?usr/bin/env perl

use strict;
use warnings;

use Test::More;
use Cache::Memory;

{
    package foo;
    use Moose;
    sub cooldown_type { 'test_something' }
    with qw/ state51::Mixin::CanBeCooled /;
}

my $one = foo->new();
is($one->in_cooldown, 0);
ok(!$one->in_cooldown);

done_testing();


