package state51::Mixin::CanBeCooled;
use Moose::Role;

use MooseX::Types::Moose qw/ Bool /;
use state51::Feature;

requires 'cooldown_type';

# current cooldown_types:
#   workerpool
#   import

has in_cooldown => (
    is => 'rw',
    isa => Bool,
    default => sub { state51::Feature->is_enabled('cooldown_' . shift()->cooldown_type) || 0 },
);

1;
