package state51::Types::VarcharBytes;
use strict;
use warnings;

# Gutted from MooseX::Types::Varchar 0.03.

# XXX This is fair mad.  Replace with latest version some time.

use 5.008;

use MooseX::Types -declare => ['VarcharBytes'];

use Moose::Meta::TypeConstraint::Parameterized;
use Moose::Util::TypeConstraints;
use MooseX::Types::Moose qw/ Str Int /;
use namespace::clean;

use base qw/ Moose::Meta::TypeConstraint::Parameterizable /;

sub _parse_type_parameter {
    my ($self, $type_parameter) = @_;
    Moose->throw_error(qq{Type parameter '$type_parameter' for VarcharBytes is not an Int})
        unless is_Int($type_parameter);

    return type "VarcharBytes:".$type_parameter, # Evil, this shits a type called '20' which checks $_ < 20 into the global
                                 # type constraint registry.
        where {
            # Hopefully should be a no-op.  Could also be an assertion for utf8::is_utf8.
            utf8::upgrade($_);
            use bytes;
            return length($_) <= $type_parameter;
            no bytes;
        };
}

my $tc = __PACKAGE__->new(
        name                 => VarcharBytes,
        package_defined_in   => __PACKAGE__,
        parent               => find_type_constraint( Str ),
        constraint           => sub {1},
        constraint_generator => sub {
                my $type_parameter = shift;
                my $check          = $type_parameter->_compiled_type_constraint;
                return sub {
                        return $check->($_);
                };
        },
);

register_type_constraint($tc);
Moose::Util::TypeConstraints::add_parameterizable_type($tc);

1;
